Name:          libjasper
Version:       4.1.0
Release:       1mamba
Summary:       A free-software based reference implementation of the JPEG-2000 codec
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://ece.engr.uvic.ca/~frodo/jasper/
Source:        https://github.com/jasper-software/jasper/releases/download/version-%{version}/jasper-%{version}.tar.gz
#Source:        https://github.com/mdadams/jasper.git/version-%{version}/jasper-%{version}.tar.bz2
#Source:        http://www.ece.uvic.ca/~frodo/jasper/software/jasper-%{version}.tar.gz
License:       JasPer License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libfreeglut-devel
BuildRequires: libglu-devel
BuildRequires: libglvnd-devel
BuildRequires: libheif-devel
BuildRequires: libjpeg-devel
## AUTOBUILDREQ-END

%description
The JasPer Project is an open-source initiative to provide a free software-based reference implementation of the codec specified in the JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1).
The JasPer software has been included in the JPEG-2000 Part-5 standard (i.e., ISO/IEC 15444-5), as an official reference implementation of the JPEG-2000 Part-1 codec.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}

%description devel
The JasPer Project is an open-source initiative to provide a free software-based reference implementation of the codec specified in the JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1).
The JasPer software has been included in the JPEG-2000 Part-5 standard (i.e., ISO/IEC 15444-5), as an official reference implementation of the JPEG-2000 Part-1 codec.
This package contains static libraries and header files needed for development.

%package tools
Group:         Applications/Graphics
Summary:       Tools for %{name}
Requires:      %{name} = %{version}

%description tools
The JasPer Project is an open-source initiative to provide a free software-based reference implementation of the codec specified in the JPEG-2000 Part-1 standard (i.e., ISO/IEC 15444-1).
The JasPer software has been included in the JPEG-2000 Part-5 standard (i.e., ISO/IEC 15444-5), as an official reference implementation of the JPEG-2000 Part-1 codec.
This package contains tools provided by %{name}.

%debug_package

%prep
%setup -q -n jasper-%{version}
#-D -T
#:<< _EOF
sed -r 's|(CMAKE_SKIP_BUILD_RPATH) FALSE|\1 TRUE|g' -i CMakeLists.txt

%build
#:<< _EOF
%cmake -d buildx \
    -DJAS_ENABLE_OPENGL=ON \
    -DJAS_ENABLE_LIBJPEG=ON \
    -DJAS_ENABLE_AUTOMATIC_DEPENDENCIES=OFF \
    -DCMAKE_SKIP_RPATH=ON \
    -DJAS_ENABLE_SHARED=ON

#% configure \
#   --enable-shared \
#   --enable-static

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C buildx

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libjasper.so.*
%doc COPYRIGHT.txt LICENSE.txt

%files devel
%defattr(-,root,root)
%dir %{_includedir}/jasper
%{_includedir}/jasper/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/jasper.pc
%dir %{_docdir}/JasPer
%{_docdir}/JasPer/*
#%doc README

%files tools
%defattr(-,root,root)
%{_bindir}/imgcmp
%{_bindir}/imginfo
%{_bindir}/jasper
%{_bindir}/jiv
#%{_bindir}/tmrdemo
%{_mandir}/man1/imgcmp.1*
%{_mandir}/man1/imginfo.1*
%{_mandir}/man1/jasper.1*
%{_mandir}/man1/jiv.1*

%changelog
* Mon Nov 06 2023 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Thu Sep 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-1mamba
- update to 4.0.0

* Mon Aug 02 2021 Automatic Build System <autodist@mambasoft.it> 2.0.33-1mamba
- automatic version update by autodist

* Tue Apr 20 2021 Automatic Build System <autodist@mambasoft.it> 2.0.32-1mamba
- automatic version update by autodist

* Sun Apr 18 2021 Automatic Build System <autodist@mambasoft.it> 2.0.31-1mamba
- automatic version update by autodist

* Tue Mar 30 2021 Automatic Build System <autodist@mambasoft.it> 2.0.28-1mamba
- automatic version update by autodist

* Sun Mar 21 2021 Automatic Build System <autodist@mambasoft.it> 2.0.27-1mamba
- automatic version update by autodist

* Sat Mar 06 2021 Automatic Build System <autodist@mambasoft.it> 2.0.26-1mamba
- automatic version update by autodist

* Mon Feb 08 2021 Automatic Build System <autodist@mambasoft.it> 2.0.25-1mamba
- automatic version update by autodist

* Sat Jan 23 2021 Automatic Build System <autodist@mambasoft.it> 2.0.24-1mamba
- automatic version update by autodist

* Tue Aug 25 2020 Automatic Build System <autodist@mambasoft.it> 2.0.19-1mamba
- automatic version update by autodist

* Thu Jul 23 2020 Automatic Build System <autodist@mambasoft.it> 2.0.17-1mamba
- automatic version update by autodist

* Thu Aug 15 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.16-1mamba
- update to 2.0.16

* Tue Oct 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.14-2mamba
- added -tools package

* Sun Oct 07 2018 Automatic Build System <autodist@mambasoft.it> 2.0.14-1mamba
- automatic version update by autodist

* Fri Dec 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.6-1mamba
- update to 2.0.6

* Mon Mar 28 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.900.1-4mamba
- updated build requirements (removed versions)

* Fri Jul 02 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.900.1-3mamba
- rebuilt against libjpeg 8

* Wed May 20 2009 Automatic Build System <autodist@mambasoft.it> 1.900.1-2mamba
- automatic rebuild by autodist

* Mon Jun 16 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.900.1-1mamba
- update to 1.900.1

* Mon Apr 03 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.701.0-2qilnx
- specfile fixed and updated
- fixed license

* Wed Jun 01 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.701.0-1qilnx
- package created by autospec
